[PVFS2-CVS] commit by neill in pvfs2-1/test/kernel/linux-2.6: pvfs2-shell-test.sh

CVS commit program cvs at parl.clemson.edu
Fri Mar 5 12:03:48 EST 2004


Update of /projects/cvsroot/pvfs2-1/test/kernel/linux-2.6
In directory parlweb:/tmp/cvs-serv1791

Modified Files:
	pvfs2-shell-test.sh 
Log Message:
- make the permission test 2 actually test on a directory


Index: pvfs2-shell-test.sh
===================================================================
RCS file: /projects/cvsroot/pvfs2-1/test/kernel/linux-2.6/pvfs2-shell-test.sh,v
diff -p -u -r1.3 -r1.4
--- pvfs2-shell-test.sh	5 Mar 2004 16:57:27 -0000	1.3
+++ pvfs2-shell-test.sh	5 Mar 2004 17:03:48 -0000	1.4
@@ -422,11 +422,14 @@ permission_test2()
 
     TESTDIR=$PVFS2_TESTDIR/perm-testdir
 
+    echo "Removing test dir $TESTDIR (if exists)"
+    rm -rf $TESTDIR
+
     echo "Creating test dir $TESTDIR"
-    touch $TESTDIR
+    mkdir $TESTDIR
 
-    if ! test -f $TESTDIR; then
-        echo "Failed to create test file $TESTDIR"
+    if ! test -d $TESTDIR; then
+        echo "Failed to create test dir $TESTDIR"
         return 1
     fi
 
@@ -441,7 +444,7 @@ permission_test2()
     echo "$DATE: Finished"
 
     echo "Removing testdir"
-    rm -f $TESTDIR
+    rm -rf $TESTDIR
 
     remove_testdir $PVFS2_TESTDIR
 



More information about the PVFS2-CVS mailing list